How to resolve problem with Wild Web Developer install

I need a plugin for Angular in Eclipse. I'd like to run and debug 'ng serve' in Eclipse and be able to edit and existing Angular project that has been created elsewhere (in a MS Visual Studio tool I've been told). I'm looking into using Wild Web Developer as I can't find any real documentation on how to do this in Eclipse with AngularIDE. There is some documentation for AngularJS linked to here but the install says it has been replaced by Wild Web Developer (I'm open to the suggestion of other plugin options).

I'm having trouble installing Wild Web Developer.

When I drag the install into my running instance of Eclipse it just opens up the Eclipse Market Place window.

If I search for Wild Web Developer I get ~700 responses and I don't see Wild Web Developer there.

Any help would be greatly appreciated.

This is the version of Eclipse I'm running:

enter image description here

EDIT: I get the same behavior with this version of Eclipse: enter image description here

Thanks.

1 answer

  • answered 2020-04-15 03:34 nitind

    Those look like the same version, from early 2018. Wild Web Developer really wants you to be on the current release, which is 2020-03, for it to be installed. After all, you're not writing against 2 year old versions of node and Angular, are you?

    Add https://download.eclipse.org/releases/latest to your Available Sites preference page, and check for updates.

How many English words
do you know?
Test your English vocabulary size, and measure
how many words do you know
Online Test
Powered by Examplum